/* wptDNSKeys.h - Support for retrieving keys via DNS
 *	Copyright (C) 2006 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WinPT; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifndef WPT_DNSKEYS_H
#define WPT_DNSKEYS_H

#ifdef __cplusplus
extern "C" {
#endif

struct pka_info_s {
    int  ver;	/* version */
    char *fpr;	/* key fingerprint */
    char *uri;	/* if != NULL URL to fetch the key. */
};
typedef struct pka_info_s *pka_info_t;

int  dns_get_pka_record (const char *userid, pka_info_t *r_pka);
void dns_free_pka_record (pka_info_t pka);

#ifdef __cplusplus
}
#endif

#endif
